Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.api
Interface RuntimeDataService

All Known Implementing Classes:
  RuntimeDataServiceImpl

    public interface RuntimeDataService

Method Summary
`ProcessAssetDesc` | `getProcessById(String processId)`
`Collection<ProcessAssetDesc>` | `getProcesses()`
`Collection<ProcessAssetDesc>` | `getProcessesByDeploymentId(String deploymentId)`
`ProcessAssetDesc` | `getProcessesByDeploymentIdProcessId(String deploymentId, String processId)`
`Collection<ProcessAssetDesc>` | `getProcessesByFilter(String filter)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceActiveNodes(String deploymentId, long processId)`
`ProcessInstanceDesc` | `getProcessInstanceById(long processId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceCompletedNodes(String deploymentId, long processId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceFullHistory(String deploymentId, long processId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceHistory(String deploymentId, long processId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceHistory(String deploymentId, long processId, boolean completed)`
`Collection<ProcessInstanceDesc>` | `getProcessInstances()`
`Collection<ProcessInstanceDesc>` | `getProcessInstances(List<Integer> states, String initiator)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByDeploymentId(String deploymentId, List<Integer> states)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByProcessDefinition(String processDefId)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByProcessId(List<Integer> states, String processId, String initiator)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByProcessName(List<Integer> states, String processName, String initiator)`
`Collection<VariableStateDesc>` | `getVariableHistory(long processInstanceId, String variableId)`
`Collection<VariableStateDesc>` | `getVariablesCurrentState(long processInstanceId)`

Method Detail

### getProcessInstances

    Collection<ProcessInstanceDesc> getProcessInstances()

### getProcessInstances

    Collection<ProcessInstanceDesc> getProcessInstances(List<Integer> states,
                                                        String initiator)

### getProcessInstancesByProcessId

    Collection<ProcessInstanceDesc> getProcessInstancesByProcessId(List<Integer> states,
                                                                   String processId,
                                                                   String initiator)

### getProcessInstancesByProcessName

    Collection<ProcessInstanceDesc> getProcessInstancesByProcessName(List<Integer> states,
                                                                     String processName,
                                                                     String initiator)

### getProcessInstancesByDeploymentId

    Collection<ProcessInstanceDesc> getProcessInstancesByDeploymentId(String deploymentId,
                                                                      List<Integer> states)

### getProcessesByDeploymentId

    Collection<ProcessAssetDesc> getProcessesByDeploymentId(String deploymentId)

### getProcessesByFilter

    Collection<ProcessAssetDesc> getProcessesByFilter(String filter)

### getProcesses

    Collection<ProcessAssetDesc> getProcesses()

### getProcessInstanceById

    ProcessInstanceDesc getProcessInstanceById(long processId)

### getProcessInstanceHistory

    Collection<NodeInstanceDesc> getProcessInstanceHistory(String deploymentId,
                                                           long processId)

### getProcessInstanceHistory

    Collection<NodeInstanceDesc> getProcessInstanceHistory(String deploymentId,
                                                           long processId,
                                                           boolean completed)

### getProcessInstanceFullHistory

    Collection<NodeInstanceDesc> getProcessInstanceFullHistory(String deploymentId,
                                                               long processId)

### getProcessInstanceActiveNodes

    Collection<NodeInstanceDesc> getProcessInstanceActiveNodes(String deploymentId,
                                                               long processId)

### getProcessInstanceCompletedNodes

    Collection<NodeInstanceDesc> getProcessInstanceCompletedNodes(String deploymentId,
                                                                  long processId)

### getVariablesCurrentState

    Collection<VariableStateDesc> getVariablesCurrentState(long processInstanceId)

### getVariableHistory

    Collection<VariableStateDesc> getVariableHistory(long processInstanceId,
                                                     String variableId)

### getProcessInstancesByProcessDefinition

    Collection<ProcessInstanceDesc> getProcessInstancesByProcessDefinition(String processDefId)

### getProcessById

    ProcessAssetDesc getProcessById(String processId)

### getProcessesByDeploymentIdProcessId

    ProcessAssetDesc getProcessesByDeploymentIdProcessId(String deploymentId,
                                                         String processId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.